import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { RegisterOnPremisesInstanceInput } from "../models/models_0";
export { __MetadataBearer };
export interface RegisterOnPremisesInstanceCommandInput
  extends RegisterOnPremisesInstanceInput {}
export interface RegisterOnPremisesInstanceCommandOutput
  extends __MetadataBearer {}
declare const RegisterOnPremisesInstanceCommand_base: {
  new (
    input: RegisterOnPremisesInstanceCommandInput
  ): import("@smithy/core/client").CommandImpl<
    RegisterOnPremisesInstanceCommandInput,
    RegisterOnPremisesInstanceCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: RegisterOnPremisesInstanceCommandInput
  ): import("@smithy/core/client").CommandImpl<
    RegisterOnPremisesInstanceCommandInput,
    RegisterOnPremisesInstanceCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class RegisterOnPremisesInstanceCommand extends RegisterOnPremisesInstanceCommand_base {
  protected static __types: {
    api: {
      input: RegisterOnPremisesInstanceInput;
      output: {};
    };
    sdk: {
      input: RegisterOnPremisesInstanceCommandInput;
      output: RegisterOnPremisesInstanceCommandOutput;
    };
  };
}
